イベント(管理者用)
参加者の属性集計(管理者用)
GET
/manage/events/:eventId/dashboard/participants-analytics参加登録時に回答されたプロフィール項目(性別・年代・居住地)の集計を返します。集計対象は PENDING / AWAITING_PAYMENT / CONFIRMED / CHECKED_IN の参加登録で、未回答(unknown)は除外されます。participantsRead 権限が必要です。
| 認証 | 要ログイン |
|---|
パスパラメータ
eventIdstring必須イベント ID または slug。
レスポンス
| フィールド | 型 | 説明 |
|---|---|---|
gender | ParticipantDemographic[] | 性別ごとの件数(key は male / female / other / undisclosed)。 |
ageGroup | ParticipantDemographic[] | 年代ごとの件数(key は under10 / 10s / 20s …)。 |
state | ParticipantDemographic[] | 都道府県・州ごとの件数。 |
country | ParticipantDemographic[] | 国ごとの件数。 |
リクエスト
curl https://api.4s.link/manage/events/EVENT_ID/dashboard/participants-analytics \-H "Authorization: Bearer 4s_at_..."
レスポンス例
{"gender": [{ "key": "male", "count": 120 }, { "key": "female", "count": 96 }],"ageGroup": [{ "key": "30s", "count": 88 }, { "key": "40s", "count": 51 }],"state": [{ "key": "東京都", "count": 140 }],"country": [{ "key": "日本", "count": 210 }]}